#ifndef __CAFE_SHELL_H__
#define __CAFE_SHELL_H__

#include<stdio.h>
#include<stdarg.h>
#include<cafe.h>
#include<utils.h>
#include<io.h>

typedef int (*cafe_command)(int argc, char* argv[]);

typedef struct 
{
	char* command; 
	cafe_command func;
}CafeShellCommand;

typedef CafeShellCommand* pCafeShellCommand;
extern CafeShellCommand cafe_cmd[];
extern int cafe_shell_dispatch_command(char* cmd);
extern void cafe_shell_prompt(char* prompt, char* format, ... );
extern void cafe_shell_init();
extern int cafe_cmd_source(int argc, char* argv[]);
extern int cafe_cmd_exit(int argc, char* argv[]);

typedef enum
{
	CAFE_SHELL_EXIT = 10000,	
	CAFE_SHELL_NO_COMMAND,
}enumCafeSehll;

#endif 
